
Redmine - Defect #874

REPORT request failed with 200 OK

2008-03-16 22:48 - Nils Adermann

Status: Closed Start date: 2008-03-16

Priority: High Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I'm running ruby script/runner "Repository.fetch_changesets" -e production with a cronjob. It works fine with a lot of projects but as

soon as I add my "documentation" project I get the following weird error message (200 OK shouldn't be an error?)

svn: REPORT request failed on '/svn-browse/documentation/!svn/bc/145'

svn: REPORT of '/svn-browse/documentation/!svn/bc/145': 200 OK (http://localhost)

History

#1 - 2008-03-17 00:21 - Jean-Philippe Lang

Where do you see these messages ?

AFAIK, this: /svn-browse/documentation/!svn/bc/145 is not a Redmine url.

The exclamation mark in the url makes me think about this rails plugin: https://www.bountysource.com/

Do you use this plugin ?

#2 - 2008-03-17 00:36 - Nils Adermann

Well as I said they are the output of the command I specified. I don't have any plugin installed. No idea about the url.

#3 - 2008-03-17 10:35 - Antti Perkiömäki

Can only guess, but if the script is working properly with other names it could crash to the "documentation" name. Then again, you can try other name

for the project or post the script that is doing the fetching.

#4 - 2008-03-17 18:30 - Jean-Philippe Lang

I get the following weird error message (200 OK shouldn't be an error?)

 This a svn error message, not a Redmine's one.

What's your repository url ? And what do you get when you manually run the following ?

svn info &lt;url&gt;

#5 - 2008-03-17 21:22 - Thomas Lecavelier

I met that error when I try to access a svn served via HTTP with a proxy that don't understand WebDAV extensions. Have you other http svn

repository outside your network?

#6 - 2008-03-17 22:21 - Nils Adermann

The URL is http://localhost/svn-browse/documentation/ and if I try svn info I get the following:

naderman@phpbbsvn:/svn/documentation$ svn info http://localhost/svn-browse/documentation/

Path: documentation

URL: http://localhost/svn-browse/documentation

Repository Root: http://localhost/svn-browse/documentation

Repository UUID: e96c91bf-73f8-46e7-b89f-1e31f7b18a0a

Revision: 145

Node Kind: directory

Last Changed Author: naderman

Last Changed Rev: 145

Last Changed Date: 2008-03-07 16:06:07 +0100 (Fri, 07 Mar 2008)
Not sure what you mean with outside my network? There are thousands of svn repositories online (outside my network) ;-)

#7 - 2008-03-21 18:46 - Jean-Philippe Lang

Redmine and svn are on the same host ?

To see what is going wrong with your repository, you can set Redmine log level to debug (uncomment config.log_level = :debug in

config/environment.rb then restart) to see the exact svn commands that are ran against your repository. You will see lines like this in the log file:

Shelling out: &lt;svn command&gt;

 Try to run these commands manually to find which one gets the "svn: REPORT request failed" error.

Again, this error is not reported by Redmine but by svn.

#8 - 2008-04-18 23:36 - Nils Adermann

Alright apparently the weird message is caused by http://subversion.tigris.org/issues/show_bug.cgi?id=3102 so I don't get to see the actual error

message.

#9 - 2008-04-26 14:08 - Jean-Philippe Lang

- Category set to SCM

- Status changed from New to Closed

- Resolution set to Invalid

Thanks for the feedback. I close this ticket since it doesn't seem to be related to Redmine.

Reopen if needed.
